curl "https://zap.dzap.io/v1/user/positions?account=0x99BCEBf44433E901597D9fCb16E799a4847519f6&chainId=8453&provider=uniswap"
const positions = await dzap.getZapPositions({
account: '0x99BCEBf44433E901597D9fCb16E799a4847519f6',
chainId: 8453,
provider: 'uniswap',
});
{
"status": "success",
"data": {
"positions": [
{
"address": "0xd0b53D9277642d899DF5C87A3966A349A798F224",
"chainId": 8453,
"name": "USDC/WETH 0.05%",
"provider": "uniswap",
"amount": "1250000000000000000",
"amountUSD": "2500.00",
"apr": 8.4,
"decimals": 18,
"underlyingAssets": [
{ "chainId": 8453, "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "symbol": "USDC", "decimals": 6, "amount": "1250000000", "amountUSD": "1250.00" },
{ "chainId": 8453, "address": "0x4200000000000000000000000000000000000006", "symbol": "WETH", "decimals": 18, "amount": "680000000000000000", "amountUSD": "1250.00" }
],
"nftDetails": { "id": "123456", "manager": "0xC36442b4a4522E871399CD717aBDD847Ab11FE88" }
}
],
"count": 1
}
}
Fuse API
Positions
List the LP, staking, and vault positions a Fuse intent has opened for an account, by provider and chain.
GET
/
v1
/
user
/
positions
curl "https://zap.dzap.io/v1/user/positions?account=0x99BCEBf44433E901597D9fCb16E799a4847519f6&chainId=8453&provider=uniswap"
const positions = await dzap.getZapPositions({
account: '0x99BCEBf44433E901597D9fCb16E799a4847519f6',
chainId: 8453,
provider: 'uniswap',
});
{
"status": "success",
"data": {
"positions": [
{
"address": "0xd0b53D9277642d899DF5C87A3966A349A798F224",
"chainId": 8453,
"name": "USDC/WETH 0.05%",
"provider": "uniswap",
"amount": "1250000000000000000",
"amountUSD": "2500.00",
"apr": 8.4,
"decimals": 18,
"underlyingAssets": [
{ "chainId": 8453, "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "symbol": "USDC", "decimals": 6, "amount": "1250000000", "amountUSD": "1250.00" },
{ "chainId": 8453, "address": "0x4200000000000000000000000000000000000006", "symbol": "WETH", "decimals": 18, "amount": "680000000000000000", "amountUSD": "1250.00" }
],
"nftDetails": { "id": "123456", "manager": "0xC36442b4a4522E871399CD717aBDD847Ab11FE88" }
}
],
"count": 1
}
}
Positions
GET https://zap.dzap.io/v1/user/positions
account for a given provider on a given chain.
Query
string
required
Wallet address to look up positions for.
integer
required
Chain ID to look up positions on.
string
required
Protocol identifier, e.g.
uniswap, aerodrome.Response
object[]
Show position item
Show position item
string
Pool address.
integer
string
Pool/position name.
string
Protocol identifier.
string
Position size, in the pool’s own units.
string
USD value of the position.
number
Annualized yield.
integer
Pool token decimals.
object[]
Underlying tokens, each with an
amount/amountUSD in addition to standard asset fields.object
Present for NFT-based positions (e.g. Uniswap V3):
{ id, manager }.object
Provider-specific extra data (shape varies).
integer
Total number of positions returned.
Examples
curl "https://zap.dzap.io/v1/user/positions?account=0x99BCEBf44433E901597D9fCb16E799a4847519f6&chainId=8453&provider=uniswap"
const positions = await dzap.getZapPositions({
account: '0x99BCEBf44433E901597D9fCb16E799a4847519f6',
chainId: 8453,
provider: 'uniswap',
});
{
"status": "success",
"data": {
"positions": [
{
"address": "0xd0b53D9277642d899DF5C87A3966A349A798F224",
"chainId": 8453,
"name": "USDC/WETH 0.05%",
"provider": "uniswap",
"amount": "1250000000000000000",
"amountUSD": "2500.00",
"apr": 8.4,
"decimals": 18,
"underlyingAssets": [
{ "chainId": 8453, "address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "symbol": "USDC", "decimals": 6, "amount": "1250000000", "amountUSD": "1250.00" },
{ "chainId": 8453, "address": "0x4200000000000000000000000000000000000006", "symbol": "WETH", "decimals": 18, "amount": "680000000000000000", "amountUSD": "1250.00" }
],
"nftDetails": { "id": "123456", "manager": "0xC36442b4a4522E871399CD717aBDD847Ab11FE88" }
}
],
"count": 1
}
}
Last modified on July 29, 2026